oracle.pgx.config

## Class GraphConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphConfig

- Direct Known Subclasses:
    AbstractFileGraphConfig, AbstractPgGraphConfig, AbstractTwoTablesConfig

      public abstract class GraphConfig
      extends AbstractConfig

  abstract super-class for all graph configs
  Author:
    ksc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Object` | `getEdgePropertyDefault(int i)` Get the default value of a edge property by index
    `String` | `getEdgePropertyName(int i)` Get the name of a edge property by index
    `PropertyType` | `getEdgePropertyType(int i)` Get the name of a edge property by index
    `abstract List<GraphPropertyConfig>` | `getEdgeProps()` Get the vertex properties of this graph configuration
    `abstract GraphErrorHandlingConfig` | `getErrorHandling()` Get the error handling configuration of this graph configuration
    `abstract Format` | `getFormat()` Get the format of this graph configuration
    `abstract GraphLoadingConfig` | `getLoading()` Get the loading configuration of this graph configuration
    `abstract String` | `getName()` Get the graph name of this graph configuration.
    `IdType` | `getNodeKeyType()` alias for `getVertexIdType()`
    `Object` | `getNodePropertyDefault(int i)` Get the default value of a vertex property by index
    `String` | `getNodePropertyName(int i)` Get the name of a vertex property by index
    `PropertyType` | `getNodePropertyType(int i)` Get the type of a vertex property by index
    `abstract IdType` | `getVertexIdType()` Get the vertex ID type of this graph configuration
    `abstract List<GraphPropertyConfig>` | `getVertexProps()` Get the vertex properties of this graph configuration
    `int` | `hashCode()`
    `boolean` | `isFileFormat()` Check if this graph configuration is a file-based configuration.
    `static boolean` | `isFileFormat(Format format)` Check if a format is a file-based format
    `int` | `numEdgeProperties()` Get the number of edge properties in this graph configuration
    `int` | `numNodeProperties()` Get the number of vertex properties in this graph configuration

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphConfig

          public GraphConfig()

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getEdgePropertyDefault

          public Object getEdgePropertyDefault(int i)

      Get the default value of a edge property by index
      Parameters:
        `i` - the 0-based index of the edge property
      Returns:
        the default value of the edge property

    - #### getEdgePropertyName

          public String getEdgePropertyName(int i)

      Get the name of a edge property by index
      Parameters:
        `i` - the 0-based index of the edge property
      Returns:
        the name of the edge property

    - #### getEdgePropertyType

          public PropertyType getEdgePropertyType(int i)

      Get the name of a edge property by index
      Parameters:
        `i` - the 0-based index of the edge property
      Returns:
        the name of the edge property

    - #### getEdgeProps

          public abstract List<GraphPropertyConfig> getEdgeProps()

      Get the vertex properties of this graph configuration
      Returns:
        the list of vertex properties

    - #### getErrorHandling

          public abstract GraphErrorHandlingConfig getErrorHandling()

      Get the error handling configuration of this graph configuration
      Returns:
        the error handling configuration

    - #### getFormat

          public abstract Format getFormat()

      Get the format of this graph configuration
      Returns:
        the format

    - #### getLoading

          public abstract GraphLoadingConfig getLoading()

      Get the loading configuration of this graph configuration
      Returns:
        the loading configuration

    - #### getName

          public abstract String getName()

      Get the graph name of this graph configuration. Note: for file-based graph configurations, this is the file name of the URI this configuration points to.
      Returns:
        the graph name

    - #### getNodeKeyType

          public IdType getNodeKeyType()

      alias for `getVertexIdType()`
      Returns:
        the vertex ID type of this graph configuration

    - #### getNodePropertyDefault

          public Object getNodePropertyDefault(int i)

      Get the default value of a vertex property by index
      Parameters:
        `i` - the 0-based index of the vertex property
      Returns:
        the default value of the vertex property

    - #### getNodePropertyName

          public String getNodePropertyName(int i)

      Get the name of a vertex property by index
      Parameters:
        `i` - the 0-based index of the vertex property
      Returns:
        the name of the vertex property

    - #### getNodePropertyType

          public PropertyType getNodePropertyType(int i)

      Get the type of a vertex property by index
      Parameters:
        `i` - the 0-based index of the vertex property
      Returns:
        the type of the vertex property

    - #### getVertexIdType

          public abstract IdType getVertexIdType()

      Get the vertex ID type of this graph configuration
      Returns:
        the vertex ID type

    - #### getVertexProps

          public abstract List<GraphPropertyConfig> getVertexProps()

      Get the vertex properties of this graph configuration
      Returns:
        the list of vertex properties

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isFileFormat

          public boolean isFileFormat()

      Check if this graph configuration is a file-based configuration.
      Returns:
        `true` if this graph configuration has a file-based format, `false` otherwise

    - #### isFileFormat

          public static boolean isFileFormat(Format format)

      Check if a format is a file-based format
      Parameters:
        `format` - the format to check
      Returns:
        `true` if given format is a file-based format, `false` otherwise

    - #### numEdgeProperties

          public int numEdgeProperties()

      Get the number of edge properties in this graph configuration
      Returns:
        the number of edge properties

    - #### numNodeProperties

          public int numNodeProperties()

      Get the number of vertex properties in this graph configuration
      Returns:
        the number of vertex properties

Copyright © 2015. All rights reserved.